package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.DataSyncIn2Mapper;
import com.sa.ibiz.demo.demo.domain.DataSyncIn2;
import com.sa.ibiz.demo.demo.service.DataSyncIn2Service;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.DataSyncIn2SearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.DataEntityService;

/**
 * 实体[DataSyncIn2] 服务对象接口实现
 */
@Service
public class DataSyncIn2ServiceImpl extends ServiceImplBase<DataSyncIn2Mapper, DataSyncIn2> implements DataSyncIn2Service{

    @Autowired
    private DataEntityService deService;

    @Resource
    private DataSyncIn2Mapper datasyncin2Mapper;


    @Override
    public boolean create(DataSyncIn2 et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(DataSyncIn2 et){
        this.beforeUpdate(et);
		this.datasyncin2Mapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(DataSyncIn2 et){
		return et.getDatasyncin2id();  
    }

    @Override
    public boolean getDraft(DataSyncIn2 et)  {
    if((!StringUtils.isEmpty(et.getDeid())) && et.getDe() == null){
            try {
                et.setDe(deService.getById(et.getDeid()));
            }catch (Exception ex){}
        }
            return true;
    }

	public List<DataSyncIn2> listDefault(DataSyncIn2SearchFilter filter) {
		return datasyncin2Mapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<DataSyncIn2> searchDefault(DataSyncIn2SearchFilter filter) {
		return datasyncin2Mapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return datasyncin2Mapper.selectRow(sql);
    }

 }